<?php
require_once __DIR__ . '/vendor/autoload.php';
use PhpAmqpLib\Connection\AMQPStreamConnection;
use PhpAmqpLib\Message\AMQPMessage;

$connection = new AMQPStreamConnection('rabbitmq', 5672, 'guest', 'guest');
$channel = $connection->channel();

$channel->queue_declare('bichi_cola', false, true, false, false);

$numRandom = rand(1,7000);
$msg = new AMQPMessage('Mensaje hola, con un numero random: '.$numRandom,
    array('delivery_mode' => AMQPMessage::DELIVERY_MODE_PERSISTENT)
);
$channel->basic_publish($msg, '', 'bichi_cola');

echo " [x] Enviado el mensaje 'Hola con numero random: $numRandom'\n";

$channel->close();
$connection->close();