# Demo RabbitMQ implementation in PHP
# by BICHI - Jun/2023

Using `php-amqplib/php-amqplib` with a full dockerised setup to minimise setup and provide a fully working environment.
Based on: https://www.rabbitmq.com/tutorials/tutorial-two-php.html
and: https://github.com/bizmate/getting-started-rabbitmq-php-dockerised

## Start stack

`make up`

Once rabbitMQ is started you can see the queue in the management console at:
http://localhost:15672/
(user&pass guest)

## Send several messages

This steps calls the sender infinitely to start queueing messages. Notice that the queue will grow considerably so to
stop it do it in your console with CTRL + C (or similar depending on your Operating system)

`make push_jobs`

## See the logs

`make tail`

## Stop the stack

`make down`