<?php
require_once __DIR__ . '/vendor/autoload.php';
use PhpAmqpLib\Connection\AMQPStreamConnection;

$connection = new AMQPStreamConnection('rabbitmq', 5672, 'guest', 'guest');
$channel = $connection->channel();

$channel->queue_declare('bichi_cola', false, true, false, false);

echo ' [*] Esperando mensajes. Para salir usa CTRL+C', "\n";

$callback = function($msg) {
    $waitSeconds = rand(3,30);
    echo " [x] Host: " . getenv('HOSTNAME') ." Esperando: " . $waitSeconds . " segundos. Mensaje recibido: ", $msg->body, "\n";
    sleep($waitSeconds);
    echo " [x] Done", "\n";
    $msg->delivery_info['channel']->basic_ack($msg->delivery_info['delivery_tag']);
};

$channel->basic_qos(null, 1, null);
$channel->basic_consume('bichi_cola', '', false, false, false, false, $callback);

while(count($channel->callbacks)) {
    $channel->wait();
}